Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.classifiers.assessment
Class KFoldCrossValidationAssessParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.classifiers.assessment.ClassifierAssessmentAssessParameterSet
              de.jstacs.classifiers.assessment.KFoldCrossValidationAssessParameterSet

All Implemented Interfaces:
  GalaxyConvertible, Storable, Cloneable

    public class KFoldCrossValidationAssessParameterSet

extends ClassifierAssessmentAssessParameterSet

This class implements a `ClassifierAssessmentAssessParameterSet` that must be used to call method `assess( ... )` of a `KFoldCrossValidation`.
It contains user specific parameters necessary for a run of a `KFoldCrossValidation`.

Author:
  Andre Gohr (bioinf (nospam:.) ag (nospam:@) googlemail (nospam:.) com)

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent`

Constructor Summary
`KFoldCrossValidationAssessParameterSet()` Constructs a new `KFoldCrossValidationAssessParameterSet` with empty parameter values.
`KFoldCrossValidationAssessParameterSet(DataSet.PartitionMethod dataSplitMethod, int elementLength, boolean exceptionIfMPNotComputable, int k)` Constructs a new `KFoldCrossValidationAssessParameterSet` with given parameter values.
`KFoldCrossValidationAssessParameterSet(StringBuffer representation)` The standard constructor for the interface `Storable`.

Method Summary
`ArrayList<Result>` | `getAnnotation()` Returns a `Collection` of parameters containing informations about this `ClassifierAssessmentAssessParameterSet`.
`DataSet.PartitionMethod` | `getDataSplitMethod()` Returns the `DataSet.PartitionMethod` defining how the mutually exclusive random-splits of user supplied data are generated.
`int` | `getK()` Returns the number of mutually exclusive random-splits of user supplied data defined by this `KFoldCrossValidationAssessParameterSet`.

Methods inherited from class de.jstacs.classifiers.assessment.ClassifierAssessmentAssessParameterSet
`getElementLength, getExceptionIfMPNotComputable`

Methods inherited from class de.jstacs.parameters.ParameterSet
`clone, fromGalaxy, fromXML, getAllParameterNames, getComment, getComment, getErrorMessage, getIndex, getName, getName, getNumberOfParameters, getParameterAt, getParameterForName, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isComparable, parametersLoaded, reset, setParent, toGalaxy, toXML`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KFoldCrossValidationAssessParameterSet

    public KFoldCrossValidationAssessParameterSet()
                                           throws UnsupportedOperationException,
                                                  ParameterException

  Constructs a new `KFoldCrossValidationAssessParameterSet` with empty parameter values. This constructor should only be used to create "filled" `KFoldCrossValidationAssessParameterSet`s, i.e. to create `KFoldCrossValidationAssessParameterSet`s from a set of values and not to fill it from the platform user interface.

  Throws:
    `UnsupportedOperationException` - if the `KFoldCrossValidationAssessParameterSet` could not be constructed or the parameters could not be loaded
    `ParameterException` - if the parameter for the `DataSet.PartitionMethod` could not be created
  See Also:
    `ClassifierAssessmentAssessParameterSet.ClassifierAssessmentAssessParameterSet()`

### KFoldCrossValidationAssessParameterSet

    public KFoldCrossValidationAssessParameterSet(StringBuffer representation)
                                           throws NonParsableException

  The standard constructor for the interface `Storable`. Constructs a `KFoldCrossValidationAssessParameterSet` out of its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `KFoldCrossValidationAssessParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` `representation` could not be parsed)
  See Also:
    `ClassifierAssessmentAssessParameterSet.ClassifierAssessmentAssessParameterSet(StringBuffer)`, `Storable`

### KFoldCrossValidationAssessParameterSet

    public KFoldCrossValidationAssessParameterSet(DataSet.PartitionMethod dataSplitMethod,
                                                  int elementLength,
                                                  boolean exceptionIfMPNotComputable,
                                                  int k)
                                           throws ParameterException

  Constructs a new `KFoldCrossValidationAssessParameterSet` with given parameter values.

  Parameters:
    `dataSplitMethod` - defines the method used to split user supplied data into `k` mutually exclusive random-splits (available options are: `DataSet.PartitionMethod.PARTITION_BY_NUMBER_OF_ELEMENTS` and `DataSet.PartitionMethod.PARTITION_BY_NUMBER_OF_SYMBOLS`)
    `elementLength` - defines the length of elements (sequences) the classifiers to be assessed are able to classify
    `exceptionIfMPNotComputable` - a `KFoldCrossValidationAssessParameterSet` is used in combination with a `NumericalPerformanceMeasureParameterSet`-object to call `assess( ... )`-methods of `KFoldCrossValidation`s, if `exceptionIfMPNotComputable==true` an `Exception` is thrown in case of a user selected measure parameters that could not be computed.
    `k` - defines the number of mutually exclusive random-splits of user supplied data. Each part is used once as a test dataset and the union of the remaining k-1 parts is once used as train dataset. Thus `k` also defines how many ( `k`) repeated classifier trainings and classifier evaluations (tests) are performed.
  Throws:
    `ParameterException` - if the parameter for the `DataSet.PartitionMethod` could not be created
  See Also:
    `ClassifierAssessmentAssessParameterSet.ClassifierAssessmentAssessParameterSet(int, boolean)`, `DataSet.PartitionMethod`

Method Detail

### getK

    public int getK()

  Returns the number of mutually exclusive random-splits of user supplied data defined by this `KFoldCrossValidationAssessParameterSet`.

  Returns:
    the number of mutually exclusive random-splits of user-supplied data defined by this `KFoldCrossValidationAssessParameterSet`

### getDataSplitMethod

    public DataSet.PartitionMethod getDataSplitMethod()

  Returns the `DataSet.PartitionMethod` defining how the mutually exclusive random-splits of user supplied data are generated.

  Returns:
    the `DataSet.PartitionMethod` defining how the mutually exclusive random-splits of user supplied data are generated
  See Also:
    `DataSet.PartitionMethod`

### getAnnotation

    public ArrayList<Result> getAnnotation()

  Description copied from class: `ClassifierAssessmentAssessParameterSet`
  Returns a `Collection` of parameters containing informations about this `ClassifierAssessmentAssessParameterSet`.

  Overrides:
    `getAnnotation` in class `ClassifierAssessmentAssessParameterSet`
  Returns:
    a `Collection` of parameters containing informations about this `ClassifierAssessmentAssessParameterSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD